using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Valg.EVA.Skanning.Entity.SerializedEntities.CountResultModel;

namespace Valg.EVA.Skanning.Sample.Startup
{
    public static class RejectionReasonCodeToTextMapper
    {
        public static string Map(CastVote.RejectionReasonCode reasonCode)
        {
            switch (reasonCode)
            {
                case CastVote.RejectionReasonCode.FA:
                    return "Stemmeseddelen har ikke offentlig stempel";
                case CastVote.RejectionReasonCode.VA:
                    return "Stemmeseddelen har ikke offentlig stempel";
                case CastVote.RejectionReasonCode.FD:
                    return "Partiet eller gruppen stiller ikke liste i valgkretsen";
                case CastVote.RejectionReasonCode.VD:
                    return "Partiet eller gruppen stiller ikke liste i valgkretsen";
                case CastVote.RejectionReasonCode.FB:
                    return "Det fremgår ikke hvilket valg stemmeseddelen gjelder";
                case CastVote.RejectionReasonCode.VB:
                    return "Det fremgår ikke hvilket valg stemmeseddelen gjelder";
                case CastVote.RejectionReasonCode.VC:
                    return "Det fremgår ikke hvilket parti eller gruppe velgeren har stemt på";
                case CastVote.RejectionReasonCode.FC:
                    return "Det fremgår ikke hvilket parti eller gruppe velgeren har stemt på";
            }

            return String.Empty;
        }
    }
}

